﻿@model TooJaVile.Models.Person

@{
    ViewBag.Title = "Details";
}
<h2>Töötaja andmed</h2>

<div>
    @*<h4>Person</h4>*@
    
    <hr />
    <dl class="dl-horizontal">


        <dt>
            Eesnimi
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FirstName)
        </dd>

        <dt>
            Perekonnanimi
        </dt>

        <dd>
            @Html.DisplayFor(model => model.LastName)
        </dd>
        <dt>
            E-mail
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Email)
        </dd>

        <dt>
            Sünnikuupäev
        </dt>

        <dd>
            @Html.DisplayFor(model => model.BirthDate)
        </dd>

        <dt>
            Osakonna juht
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsManager)
        </dd>

        <dt>
            Raamatupidaja
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsAccountant)
        </dd>

        <dt>
            Üliõpilane
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsStudent)
        </dd>

        <dt>
            Põhipuhkuse kestus
        </dt>

        <dd>
            @Html.DisplayFor(model => model.VacationDays)
        </dd>

        @*<dt>
            @Html.DisplayNameFor(model => model.DataFile.ContentType)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DataFile.ContentType)
        </dd>*@

        <dt>
            Osakond
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Department.Name)
        </dd>

        @*<dt>
            @Html.DisplayNameFor(model => model.Person2.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Person2.Email)
        </dd>*@
        <dt>
            Pilt
        </dt>

        <dd>
            <img src="@Url.Action("Content", "DataFiles", new {id = Model.PictureId})" height="100" />
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Muuda", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Tagasi nimekirja", "Index")
  
</p>

